Loading...
Searching...
No Matches
seqan3::optional_printer< std::nullopt_t > Struct Reference
Core » Debug Stream

Printer for formatted output of std::nullopt_t. More...

`#include <seqan3/core/debug_stream/optional.hpp>`

Inheritance diagram for seqan3::optional_printer< std::nullopt_t >:
[legend]

## Public Member Functions

template<typename stream_t>
constexpr void | operator() (stream_t &stream, std::nullopt_t const arg) const
| Prints std::nullopt_t to formatted output stream.

## Detailed Description

Printer for formatted output of std::nullopt_t.

## Member Function Documentation

## operator()()

template<typename stream_t>

void seqan3::optional_printer< std::nullopt_t >::operator() | ( | stream_t & | stream,
|  | std::nullopt_t const | arg ) const

inline constexpr

Prints std::nullopt_t to formatted output stream.

Template Parameters

  stream_t | The type of the stream to which the value is streamed.

Parameters

  [in,out] | stream | The stream to print to.
  [in] | arg | The optional to print.

The documentation for this struct was generated from the following file:

- optional.hpp

Hide me